Setup Utila integration.
curl --request PUT \
--url https://sandbox-api.borderless.xyz/v1/organizations/integrations/utila \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"serviceAccount": "sa_1234567890abcdef",
"privateRSAKey": "-----BEGIN PRIVATE KEY-----\nMIIEvQIBADAN...",
"evmGasWallet": [
"0x1234567890abcdef1234567890abcdef12345678"
]
}
'import requests
url = "https://sandbox-api.borderless.xyz/v1/organizations/integrations/utila"
payload = {
"serviceAccount": "sa_1234567890abcdef",
"privateRSAKey": "-----BEGIN PRIVATE KEY-----
MIIEvQIBADAN...",
"evmGasWallet": ["0x1234567890abcdef1234567890abcdef12345678"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
serviceAccount: 'sa_1234567890abcdef',
privateRSAKey: '-----BEGIN PRIVATE KEY-----\nMIIEvQIBADAN...',
evmGasWallet: ['0x1234567890abcdef1234567890abcdef12345678']
})
};
fetch('https://sandbox-api.borderless.xyz/v1/organizations/integrations/utila', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "<string>",
"integrationNetworkAddresses": [
{
"address": "<string>"
}
]
}Integrations Config
Setup Utila integration.
deprecated
Create Utila integration to configure the connection with the Utila workspace.
PUT
/
v1
/
organizations
/
integrations
/
utila
Setup Utila integration.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The Utila service account identifier. Learn more at Utila Configuration Guide.
Example:
"sa_1234567890abcdef"
The Utila private RSA key for authentication. Learn more at Utila Configuration Guide.
Example:
"-----BEGIN PRIVATE KEY-----\nMIIEvQIBADAN..."
The Utila EVM gas wallets for the organization. Learn more at Utila Configuration Guide.
Example:
[
"0x1234567890abcdef1234567890abcdef12345678"
]
Was this page helpful?
⌘I